OpenShot Audio Library | OpenShotAudio: juce::AudioPlayHead::CurrentPositionInfo Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::AudioPlayHead::CurrentPositionInfo Struct Reference

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
bool | operator== (const CurrentPositionInfo &other) const noexcept
bool | operator!= (const CurrentPositionInfo &other) const noexcept
void | resetToDefault ()

## Public Attributes
double | bpm = 120.0
int | timeSigNumerator = 4
int | timeSigDenominator = 4
int64 | timeInSamples = 0
double | timeInSeconds = 0
double | editOriginTime = 0
double | ppqPosition = 0
double | ppqPositionOfLastBarStart = 0
FrameRate | frameRate = FrameRateType::fps23976
bool | isPlaying = false
bool | isRecording = false
double | ppqLoopStart = 0
double | ppqLoopEnd = 0
bool | isLooping = false

## Detailed Description

This type is deprecated; prefer PositionInfo instead.

Some position info may be unavailable, depending on the host or plugin format. Unfortunately, CurrentPositionInfo doesn't have any way of differentiating between default values and values that have been set explicitly.

Definition at line 210 of file juce_AudioPlayHead.h.

## Member Function Documentation

## ◆ operator!=()

bool juce::AudioPlayHead::CurrentPositionInfo::operator!= | ( | const CurrentPositionInfo & | other | ) | const
| inlinenoexcept

Definition at line 292 of file juce_AudioPlayHead.h.

## ◆ operator==()

bool juce::AudioPlayHead::CurrentPositionInfo::operator== | ( | const CurrentPositionInfo & | other | ) | const
| inlinenoexcept

Definition at line 270 of file juce_AudioPlayHead.h.

## ◆ resetToDefault()

void juce::AudioPlayHead::CurrentPositionInfo::resetToDefault | ( |  | ) |
| inline

Definition at line 297 of file juce_AudioPlayHead.h.

## Member Data Documentation

## ◆ bpm

double juce::AudioPlayHead::CurrentPositionInfo::bpm = 120.0

The tempo in BPM

Definition at line 213 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ editOriginTime

double juce::AudioPlayHead::CurrentPositionInfo::editOriginTime = 0

For timecode, the position of the start of the timeline, in seconds from 00:00:00:00.

Definition at line 227 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ frameRate

FrameRate juce::AudioPlayHead::CurrentPositionInfo::frameRate = FrameRateType::fps23976

The video frame rate, if applicable.

Definition at line 243 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ isLooping

bool juce::AudioPlayHead::CurrentPositionInfo::isLooping = false

True if the transport is currently looping.

Definition at line 267 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ isPlaying

bool juce::AudioPlayHead::CurrentPositionInfo::isPlaying = false

True if the transport is currently playing.

Definition at line 246 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ isRecording

bool juce::AudioPlayHead::CurrentPositionInfo::isRecording = false

True if the transport is currently recording.

(When isRecording is true, then isPlaying will also be true).

Definition at line 252 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ ppqLoopEnd

double juce::AudioPlayHead::CurrentPositionInfo::ppqLoopEnd = 0

The current cycle end position in units of quarter-notes. Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

Definition at line 264 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ ppqLoopStart

double juce::AudioPlayHead::CurrentPositionInfo::ppqLoopStart = 0

The current cycle start position in units of quarter-notes. Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

Definition at line 258 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ ppqPosition

double juce::AudioPlayHead::CurrentPositionInfo::ppqPosition = 0

The current play position, in units of quarter-notes.

Definition at line 230 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ ppqPositionOfLastBarStart

double juce::AudioPlayHead::CurrentPositionInfo::ppqPositionOfLastBarStart = 0

The position of the start of the last bar, in units of quarter-notes.

This is the time from the start of the timeline to the start of the current bar, in ppq units.

Note - this value may be unavailable on some hosts, e.g. Pro-Tools. If it's not available, the value will be 0.

Definition at line 240 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ timeInSamples

int64 juce::AudioPlayHead::CurrentPositionInfo::timeInSamples = 0

The current play position, in samples from the start of the timeline.

Definition at line 222 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ timeInSeconds

double juce::AudioPlayHead::CurrentPositionInfo::timeInSeconds = 0

The current play position, in seconds from the start of the timeline.

Definition at line 224 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ timeSigDenominator

int juce::AudioPlayHead::CurrentPositionInfo::timeSigDenominator = 4

Time signature denominator, e.g. the 4 of a 3/4 time sig

Definition at line 219 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

## ◆ timeSigNumerator

int juce::AudioPlayHead::CurrentPositionInfo::timeSigNumerator = 4

Time signature numerator, e.g. the 3 of a 3/4 time sig

Definition at line 216 of file juce_AudioPlayHead.h.

Referenced by juce::AudioPlayHead::getCurrentPosition().

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h